#pragma once
#include <nlohmann/json.hpp>
#include <fstream>
#include <codecvt>

using namespace nlohmann;

struct Config {
  std::wstring_convert<std::codecvt_utf8_utf16<wchar_t>> $converter;
  json $config;
  std::string $src_path = "./config.json";

  Config(const std::string src_path);
  Config(Config &other) = delete;

  json &operator[](const std::string &key);

  std::wstring wstring(const std::string main_key, const std::string sub_key);
};
